// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')

onEvent('jei.hide.items', event => {
  // OP WEAPONS & ARMOR
  event.hide('aquaculture:neptunium_sword');
  event.hide('endrem:end_crystal_hoe');
  event.hide('endrem:end_crystal_pickaxe');
  event.hide('endrem:end_crystal_axe');
  event.hide('endrem:end_crystal_sword');
  event.hide('endrem:end_crystal_shovel');
  event.hide('enigmaticlegacy:etherium_helmet');
  event.hide('enigmaticlegacy:etherium_chestplate');
  event.hide('enigmaticlegacy:etherium_leggings');
  event.hide('enigmaticlegacy:etherium_boots');
  event.hide('enigmaticlegacy:etherium_pickaxe');
  event.hide('enigmaticlegacy:etherium_axe');
  event.hide('enigmaticlegacy:etherium_shovel');
  event.hide('enigmaticlegacy:etherium_sword');
  event.hide('enigmaticlegacy:etherium_scythe');
  event.hide('botania:terrasteel_helmet');
  event.hide('botania:terrasteel_chestplate');
  event.hide('botania:terrasteel_leggings');
  event.hide('botania:terrasteel_boots');
  event.hide('usefulrailroads:teleport_rail');
  event.hide('betterendforge:aeternium_helmet');
  event.hide('betterendforge:aeternium_chestplate');
  event.hide('betterendforge:aeternium_leggings');
  event.hide('betterendforge:aeternium_boots');
})

onEvent('jei.information', event => {
  const disabledItem = [ 'Item disabled by modpack author.' ];
  event.add('kubejs:ruby', [
    'Commonly used as currency for trading goods between players, or to purchase items from the market.',
    'Currently not obtainable.'
  ]);

  event.add('minecraft:blue_ice', disabledItem);
  event.add('minecraft:packed_ice', disabledItem);
})